#include"TcPch.h"
#pragma hdrstop
#include"IoSensor.h"
#include"DEVICE.h"
#include"debug.h"
IoSensor::IoSensor(const char* className,const char* name,const char* module):BaseDevice(className, name, module){
}
//AUTOIO_BEGIN
IoSensor* _initSensorStocker1_0(){
	static IoSensor staticSensorStocker1("IoSensor","SensorStocker1",MODULE_NAME);
	IoSensor::poSensorStocker1=&staticSensorStocker1;
	IoSensor* dev=&staticSensorStocker1;
	strcpy(dev->id,"SensorStocker1");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_A1_FOUP_detect,"NDI.Buffer_A1_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker2_0(){
	static IoSensor staticSensorStocker2("IoSensor","SensorStocker2",MODULE_NAME);
	IoSensor::poSensorStocker2=&staticSensorStocker2;
	IoSensor* dev=&staticSensorStocker2;
	strcpy(dev->id,"SensorStocker2");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_B1_FOUP_detect,"NDI.Buffer_B1_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker3_0(){
	static IoSensor staticSensorStocker3("IoSensor","SensorStocker3",MODULE_NAME);
	IoSensor::poSensorStocker3=&staticSensorStocker3;
	IoSensor* dev=&staticSensorStocker3;
	strcpy(dev->id,"SensorStocker3");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_C1_FOUP_detect,"NDI.Buffer_C1_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker4_0(){
	static IoSensor staticSensorStocker4("IoSensor","SensorStocker4",MODULE_NAME);
	IoSensor::poSensorStocker4=&staticSensorStocker4;
	IoSensor* dev=&staticSensorStocker4;
	strcpy(dev->id,"SensorStocker4");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_D1_FOUP_detect,"NDI.Buffer_D1_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker5_0(){
	static IoSensor staticSensorStocker5("IoSensor","SensorStocker5",MODULE_NAME);
	IoSensor::poSensorStocker5=&staticSensorStocker5;
	IoSensor* dev=&staticSensorStocker5;
	strcpy(dev->id,"SensorStocker5");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_A2_FOUP_detect,"NDI.Buffer_A2_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker6_0(){
	static IoSensor staticSensorStocker6("IoSensor","SensorStocker6",MODULE_NAME);
	IoSensor::poSensorStocker6=&staticSensorStocker6;
	IoSensor* dev=&staticSensorStocker6;
	strcpy(dev->id,"SensorStocker6");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_B2_FOUP_detect,"NDI.Buffer_B2_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker7_0(){
	static IoSensor staticSensorStocker7("IoSensor","SensorStocker7",MODULE_NAME);
	IoSensor::poSensorStocker7=&staticSensorStocker7;
	IoSensor* dev=&staticSensorStocker7;
	strcpy(dev->id,"SensorStocker7");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_C2_FOUP_detect,"NDI.Buffer_C2_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker8_0(){
	static IoSensor staticSensorStocker8("IoSensor","SensorStocker8",MODULE_NAME);
	IoSensor::poSensorStocker8=&staticSensorStocker8;
	IoSensor* dev=&staticSensorStocker8;
	strcpy(dev->id,"SensorStocker8");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_D2_FOUP_detect,"NDI.Buffer_D2_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker9_0(){
	static IoSensor staticSensorStocker9("IoSensor","SensorStocker9",MODULE_NAME);
	IoSensor::poSensorStocker9=&staticSensorStocker9;
	IoSensor* dev=&staticSensorStocker9;
	strcpy(dev->id,"SensorStocker9");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_A3_FOUP_detect,"NDI.Buffer_A3_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker10_0(){
	static IoSensor staticSensorStocker10("IoSensor","SensorStocker10",MODULE_NAME);
	IoSensor::poSensorStocker10=&staticSensorStocker10;
	IoSensor* dev=&staticSensorStocker10;
	strcpy(dev->id,"SensorStocker10");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_B3_FOUP_detect,"NDI.Buffer_B3_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker11_0(){
	static IoSensor staticSensorStocker11("IoSensor","SensorStocker11",MODULE_NAME);
	IoSensor::poSensorStocker11=&staticSensorStocker11;
	IoSensor* dev=&staticSensorStocker11;
	strcpy(dev->id,"SensorStocker11");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_C3_FOUP_detect,"NDI.Buffer_C3_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker12_0(){
	static IoSensor staticSensorStocker12("IoSensor","SensorStocker12",MODULE_NAME);
	IoSensor::poSensorStocker12=&staticSensorStocker12;
	IoSensor* dev=&staticSensorStocker12;
	strcpy(dev->id,"SensorStocker12");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_D3_FOUP_detect,"NDI.Buffer_D3_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker13_0(){
	static IoSensor staticSensorStocker13("IoSensor","SensorStocker13",MODULE_NAME);
	IoSensor::poSensorStocker13=&staticSensorStocker13;
	IoSensor* dev=&staticSensorStocker13;
	strcpy(dev->id,"SensorStocker13");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_A4_FOUP_detect,"NDI.Buffer_A4_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker14_0(){
	static IoSensor staticSensorStocker14("IoSensor","SensorStocker14",MODULE_NAME);
	IoSensor::poSensorStocker14=&staticSensorStocker14;
	IoSensor* dev=&staticSensorStocker14;
	strcpy(dev->id,"SensorStocker14");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_B4_FOUP_detect,"NDI.Buffer_B4_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker15_0(){
	static IoSensor staticSensorStocker15("IoSensor","SensorStocker15",MODULE_NAME);
	IoSensor::poSensorStocker15=&staticSensorStocker15;
	IoSensor* dev=&staticSensorStocker15;
	strcpy(dev->id,"SensorStocker15");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_C4_FOUP_detect,"NDI.Buffer_C4_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorStocker16_0(){
	static IoSensor staticSensorStocker16("IoSensor","SensorStocker16",MODULE_NAME);
	IoSensor::poSensorStocker16=&staticSensorStocker16;
	IoSensor* dev=&staticSensorStocker16;
	strcpy(dev->id,"SensorStocker16");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->Buffer_D4_FOUP_detect,"NDI.Buffer_D4_FOUP_detect",TRUE);
	return dev;
}
IoSensor* _initSensorWaferRobotEX1AxisHomePosition_0(){
	static IoSensor staticSensorWaferRobotEX1AxisHomePosition("IoSensor","SensorWaferRobotEX1AxisHomePosition",MODULE_NAME);
	IoSensor::poSensorWaferRobotEX1AxisHomePosition=&staticSensorWaferRobotEX1AxisHomePosition;
	IoSensor* dev=&staticSensorWaferRobotEX1AxisHomePosition;
	strcpy(dev->id,"SensorWaferRobotEX1AxisHomePosition");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->WaferRobotAxis_EX1home,"NDI.WaferRobotAxis_EX1home",TRUE);
	return dev;
}
IoSensor* _initSensorWaferRobotEX2AxisHomePosition_0(){
	static IoSensor staticSensorWaferRobotEX2AxisHomePosition("IoSensor","SensorWaferRobotEX2AxisHomePosition",MODULE_NAME);
	IoSensor::poSensorWaferRobotEX2AxisHomePosition=&staticSensorWaferRobotEX2AxisHomePosition;
	IoSensor* dev=&staticSensorWaferRobotEX2AxisHomePosition;
	strcpy(dev->id,"SensorWaferRobotEX2AxisHomePosition");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->WaferRobotAxis_EX2home,"NDI.WaferRobotAxis_EX2home",TRUE);
	return dev;
}
IoSensor* _initSensorPS13LStatus_0(){
	static IoSensor staticSensorPS13LStatus("IoSensor","SensorPS13LStatus",MODULE_NAME);
	IoSensor::poSensorPS13LStatus=&staticSensorPS13LStatus;
	IoSensor* dev=&staticSensorPS13LStatus;
	strcpy(dev->id,"SensorPS13LStatus");
	strcpy(dev->display,"");
	dev->di.create("di");
	return dev;
}
IoSensor* _initSensorBoatUnloadInterlock_0(){
	static IoSensor staticSensorBoatUnloadInterlock("IoSensor","SensorBoatUnloadInterlock",MODULE_NAME);
	IoSensor::poSensorBoatUnloadInterlock=&staticSensorBoatUnloadInterlock;
	IoSensor* dev=&staticSensorBoatUnloadInterlock;
	strcpy(dev->id,"SensorBoatUnloadInterlock");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->bBoatUnLoad_ILK,"NDI.bBoatUnLoad_ILK",TRUE);
	return dev;
}
IoSensor* _initSensorRaxisaircylinderretractposition_0(){
	static IoSensor staticSensorRaxisaircylinderretractposition("IoSensor","SensorRaxisaircylinderretractposition",MODULE_NAME);
	IoSensor::poSensorRaxisaircylinderretractposition=&staticSensorRaxisaircylinderretractposition;
	IoSensor* dev=&staticSensorRaxisaircylinderretractposition;
	strcpy(dev->id,"SensorRaxisaircylinderretractposition");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->R_axis_air_cylinder_retract_position,"NDI.R_axis_air_cylinder_retract_position",TRUE);
	return dev;
}
IoSensor* _initSensorVG31STATUSOK_0(){
	static IoSensor staticSensorVG31STATUSOK("IoSensor","SensorVG31STATUSOK",MODULE_NAME);
	IoSensor::poSensorVG31STATUSOK=&staticSensorVG31STATUSOK;
	IoSensor* dev=&staticSensorVG31STATUSOK;
	strcpy(dev->id,"SensorVG31STATUSOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VG31_STATUS_OK,"NDI.VG31_STATUS_OK",TRUE);
	return dev;
}
IoSensor* _initSensorVG11STATUSOK_0(){
	static IoSensor staticSensorVG11STATUSOK("IoSensor","SensorVG11STATUSOK",MODULE_NAME);
	IoSensor::poSensorVG11STATUSOK=&staticSensorVG11STATUSOK;
	IoSensor* dev=&staticSensorVG11STATUSOK;
	strcpy(dev->id,"SensorVG11STATUSOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VG11_STATUS_OK,"NDI.VG11_STATUS_OK",TRUE);
	return dev;
}
IoSensor* _initSensorVG13STATUSOK_0(){
	static IoSensor staticSensorVG13STATUSOK("IoSensor","SensorVG13STATUSOK",MODULE_NAME);
	IoSensor::poSensorVG13STATUSOK=&staticSensorVG13STATUSOK;
	IoSensor* dev=&staticSensorVG13STATUSOK;
	strcpy(dev->id,"SensorVG13STATUSOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VG13_STATUS_OK,"NDI.VG13_STATUS_OK",TRUE);
	return dev;
}
IoSensor* _initSensorVG14STATUSOK_0(){
	static IoSensor staticSensorVG14STATUSOK("IoSensor","SensorVG14STATUSOK",MODULE_NAME);
	IoSensor::poSensorVG14STATUSOK=&staticSensorVG14STATUSOK;
	IoSensor* dev=&staticSensorVG14STATUSOK;
	strcpy(dev->id,"SensorVG14STATUSOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VG14_STATUS_OK,"NDI.VG14_STATUS_OK",TRUE);
	return dev;
}
IoSensor* _initSensorDP_0(){
	static IoSensor staticSensorDP("IoSensor","SensorDP",MODULE_NAME);
	IoSensor::poSensorDP=&staticSensorDP;
	IoSensor* dev=&staticSensorDP;
	strcpy(dev->id,"SensorDP");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->DP,"NDI.DP",TRUE);
	return dev;
}
IoSensor* _initSensorBWR_0(){
	static IoSensor staticSensorBWR("IoSensor","SensorBWR",MODULE_NAME);
	IoSensor::poSensorBWR=&staticSensorBWR;
	IoSensor* dev=&staticSensorBWR;
	strcpy(dev->id,"SensorBWR");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->BWR,"NDI.BWR",TRUE);
	return dev;
}
IoSensor* _initSensorDPR1_0(){
	static IoSensor staticSensorDPR1("IoSensor","SensorDPR1",MODULE_NAME);
	IoSensor::poSensorDPR1=&staticSensorDPR1;
	IoSensor* dev=&staticSensorDPR1;
	strcpy(dev->id,"SensorDPR1");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->DPR1,"NDI.DPR1",TRUE);
	return dev;
}
IoSensor* _initSensorDPR2_0(){
	static IoSensor staticSensorDPR2("IoSensor","SensorDPR2",MODULE_NAME);
	IoSensor::poSensorDPR2=&staticSensorDPR2;
	IoSensor* dev=&staticSensorDPR2;
	strcpy(dev->id,"SensorDPR2");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->DPR2,"NDI.DPR2",TRUE);
	return dev;
}
IoSensor* _initSensorHTR1_0(){
	static IoSensor staticSensorHTR1("IoSensor","SensorHTR1",MODULE_NAME);
	IoSensor::poSensorHTR1=&staticSensorHTR1;
	IoSensor* dev=&staticSensorHTR1;
	strcpy(dev->id,"SensorHTR1");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->HTR1,"NDI.HTR1",TRUE);
	return dev;
}
IoSensor* _initSensorHTR2_0(){
	static IoSensor staticSensorHTR2("IoSensor","SensorHTR2",MODULE_NAME);
	IoSensor::poSensorHTR2=&staticSensorHTR2;
	IoSensor* dev=&staticSensorHTR2;
	strcpy(dev->id,"SensorHTR2");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->HTR2,"NDI.HTR2",TRUE);
	return dev;
}
IoSensor* _initSensorHTR3_0(){
	static IoSensor staticSensorHTR3("IoSensor","SensorHTR3",MODULE_NAME);
	IoSensor::poSensorHTR3=&staticSensorHTR3;
	IoSensor* dev=&staticSensorHTR3;
	strcpy(dev->id,"SensorHTR3");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->HTR3,"NDI.HTR3",TRUE);
	return dev;
}
IoSensor* _initSensorHTR4_0(){
	static IoSensor staticSensorHTR4("IoSensor","SensorHTR4",MODULE_NAME);
	IoSensor::poSensorHTR4=&staticSensorHTR4;
	IoSensor* dev=&staticSensorHTR4;
	strcpy(dev->id,"SensorHTR4");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->HTR4,"NDI.HTR4",TRUE);
	return dev;
}
IoSensor* _initSensorHTR5_0(){
	static IoSensor staticSensorHTR5("IoSensor","SensorHTR5",MODULE_NAME);
	IoSensor::poSensorHTR5=&staticSensorHTR5;
	IoSensor* dev=&staticSensorHTR5;
	strcpy(dev->id,"SensorHTR5");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->HTR5,"NDI.HTR5",TRUE);
	return dev;
}
IoSensor* _initSensorDEPO_0(){
	static IoSensor staticSensorDEPO("IoSensor","SensorDEPO",MODULE_NAME);
	IoSensor::poSensorDEPO=&staticSensorDEPO;
	IoSensor* dev=&staticSensorDEPO;
	strcpy(dev->id,"SensorDEPO");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->DEPO,"NDI.DEPO",TRUE);
	return dev;
}
IoSensor* _initSensorNF3Cln_0(){
	static IoSensor staticSensorNF3Cln("IoSensor","SensorNF3Cln",MODULE_NAME);
	IoSensor::poSensorNF3Cln=&staticSensorNF3Cln;
	IoSensor* dev=&staticSensorNF3Cln;
	strcpy(dev->id,"SensorNF3Cln");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->CLN,"NDI.CLN",TRUE);
	return dev;
}
IoSensor* _initSensorECO_0(){
	static IoSensor staticSensorECO("IoSensor","SensorECO",MODULE_NAME);
	IoSensor::poSensorECO=&staticSensorECO;
	IoSensor* dev=&staticSensorECO;
	strcpy(dev->id,"SensorECO");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->ECO,"NDI.ECO",TRUE);
	return dev;
}
IoSensor* _initSensorAGV_0(){
	static IoSensor staticSensorAGV("IoSensor","SensorAGV",MODULE_NAME);
	IoSensor::poSensorAGV=&staticSensorAGV;
	IoSensor* dev=&staticSensorAGV;
	strcpy(dev->id,"SensorAGV");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->AGV,"NDI.AGV",TRUE);
	return dev;
}
IoSensor* _initSensorSP1_0(){
	static IoSensor staticSensorSP1("IoSensor","SensorSP1",MODULE_NAME);
	IoSensor::poSensorSP1=&staticSensorSP1;
	IoSensor* dev=&staticSensorSP1;
	strcpy(dev->id,"SensorSP1");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->SP1,"NDI.SP1",TRUE);
	return dev;
}
IoSensor* _initSensorPZERO_0(){
	static IoSensor staticSensorPZERO("IoSensor","SensorPZERO",MODULE_NAME);
	IoSensor::poSensorPZERO=&staticSensorPZERO;
	IoSensor* dev=&staticSensorPZERO;
	strcpy(dev->id,"SensorPZERO");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->PZ,"NDI.PZ",TRUE);
	return dev;
}
IoSensor* _initSensorPCONT_0(){
	static IoSensor staticSensorPCONT("IoSensor","SensorPCONT",MODULE_NAME);
	IoSensor::poSensorPCONT=&staticSensorPCONT;
	IoSensor* dev=&staticSensorPCONT;
	strcpy(dev->id,"SensorPCONT");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->P_CONT,"NDI.P_CONT",TRUE);
	return dev;
}
IoSensor* _initSensorTREFOn_0(){
	static IoSensor staticSensorTREFOn("IoSensor","SensorTREFOn",MODULE_NAME);
	IoSensor::poSensorTREFOn=&staticSensorTREFOn;
	IoSensor* dev=&staticSensorTREFOn;
	strcpy(dev->id,"SensorTREFOn");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->T_REF_On,"NDI.T_REF_On",TRUE);
	return dev;
}
IoSensor* _initSensorCEXH_0(){
	static IoSensor staticSensorCEXH("IoSensor","SensorCEXH",MODULE_NAME);
	IoSensor::poSensorCEXH=&staticSensorCEXH;
	IoSensor* dev=&staticSensorCEXH;
	strcpy(dev->id,"SensorCEXH");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->C_EXH,"NDI.C_EXH",TRUE);
	return dev;
}
IoSensor* _initSensorF2CLN_0(){
	static IoSensor staticSensorF2CLN("IoSensor","SensorF2CLN",MODULE_NAME);
	IoSensor::poSensorF2CLN=&staticSensorF2CLN;
	IoSensor* dev=&staticSensorF2CLN;
	strcpy(dev->id,"SensorF2CLN");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->F2_CLN,"NDI.F2_CLN",TRUE);
	return dev;
}
IoSensor* _initSensorFN_0(){
	static IoSensor staticSensorFN("IoSensor","SensorFN",MODULE_NAME);
	IoSensor::poSensorFN=&staticSensorFN;
	IoSensor* dev=&staticSensorFN;
	strcpy(dev->id,"SensorFN");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->F_N,"NDI.F_N",TRUE);
	return dev;
}
IoSensor* _initSensorPRUN_0(){
	static IoSensor staticSensorPRUN("IoSensor","SensorPRUN",MODULE_NAME);
	IoSensor::poSensorPRUN=&staticSensorPRUN;
	IoSensor* dev=&staticSensorPRUN;
	strcpy(dev->id,"SensorPRUN");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->P_RUN,"NDI.P_RUN",TRUE);
	return dev;
}
IoSensor* _initSensorLSC1OverFill_0(){
	static IoSensor staticSensorLSC1OverFill("IoSensor","SensorLSC1OverFill",MODULE_NAME);
	IoSensor::poSensorLSC1OverFill=&staticSensorLSC1OverFill;
	IoSensor* dev=&staticSensorLSC1OverFill;
	strcpy(dev->id,"SensorLSC1OverFill");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->LSC1_OverFill,"NDI.LSC1_OverFill",TRUE);
	return dev;
}
IoSensor* _initSensorHREF_0(){
	static IoSensor staticSensorHREF("IoSensor","SensorHREF",MODULE_NAME);
	IoSensor::poSensorHREF=&staticSensorHREF;
	IoSensor* dev=&staticSensorHREF;
	strcpy(dev->id,"SensorHREF");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->T_REF,"NDI.T_REF",TRUE);
	return dev;
}
IoSensor* _initSensorWATR_0(){
	static IoSensor staticSensorWATR("IoSensor","SensorWATR",MODULE_NAME);
	IoSensor::poSensorWATR=&staticSensorWATR;
	IoSensor* dev=&staticSensorWATR;
	strcpy(dev->id,"SensorWATR");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->WAT_R,"NDI.WAT_R",TRUE);
	return dev;
}
IoSensor* _initSensorWATF_0(){
	static IoSensor staticSensorWATF("IoSensor","SensorWATF",MODULE_NAME);
	IoSensor::poSensorWATF=&staticSensorWATF;
	IoSensor* dev=&staticSensorWATF;
	strcpy(dev->id,"SensorWATF");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->WAT_F,"NDI.WAT_F",TRUE);
	return dev;
}
IoSensor* _initSensorDGASOK_0(){
	static IoSensor staticSensorDGASOK("IoSensor","SensorDGASOK",MODULE_NAME);
	IoSensor::poSensorDGASOK=&staticSensorDGASOK;
	IoSensor* dev=&staticSensorDGASOK;
	strcpy(dev->id,"SensorDGASOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->D_Gas_OK,"NDI.D_Gas_OK",TRUE);
	return dev;
}
IoSensor* _initSensorNF3OK_0(){
	static IoSensor staticSensorNF3OK("IoSensor","SensorNF3OK",MODULE_NAME);
	IoSensor::poSensorNF3OK=&staticSensorNF3OK;
	IoSensor* dev=&staticSensorNF3OK;
	strcpy(dev->id,"SensorNF3OK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->CLN_OK,"NDI.CLN_OK",TRUE);
	return dev;
}
IoSensor* _initSensorTMNT_0(){
	static IoSensor staticSensorTMNT("IoSensor","SensorTMNT",MODULE_NAME);
	IoSensor::poSensorTMNT=&staticSensorTMNT;
	IoSensor* dev=&staticSensorTMNT;
	strcpy(dev->id,"SensorTMNT");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->T_MNT,"NDI.T_MNT",TRUE);
	return dev;
}
IoSensor* _initSensorTADJ_0(){
	static IoSensor staticSensorTADJ("IoSensor","SensorTADJ",MODULE_NAME);
	IoSensor::poSensorTADJ=&staticSensorTADJ;
	IoSensor* dev=&staticSensorTADJ;
	strcpy(dev->id,"SensorTADJ");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->DGZERO,"NDI.DGZERO",TRUE);
	return dev;
}
IoSensor* _initSensorATM_0(){
	static IoSensor staticSensorATM("IoSensor","SensorATM",MODULE_NAME);
	IoSensor::poSensorATM=&staticSensorATM;
	IoSensor* dev=&staticSensorATM;
	strcpy(dev->id,"SensorATM");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->ATM,"NDI.ATM",TRUE);
	return dev;
}
IoSensor* _initSensorREFACT_0(){
	static IoSensor staticSensorREFACT("IoSensor","SensorREFACT",MODULE_NAME);
	IoSensor::poSensorREFACT=&staticSensorREFACT;
	IoSensor* dev=&staticSensorREFACT;
	strcpy(dev->id,"SensorREFACT");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->LSC1_Ref_RDY,"NDI.LSC1_Ref_RDY",TRUE);
	return dev;
}
IoSensor* _initSensorDEPOOK_0(){
	static IoSensor staticSensorDEPOOK("IoSensor","SensorDEPOOK",MODULE_NAME);
	IoSensor::poSensorDEPOOK=&staticSensorDEPOOK;
	IoSensor* dev=&staticSensorDEPOOK;
	strcpy(dev->id,"SensorDEPOOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->DEPO_OK,"NDI.DEPO_OK",TRUE);
	return dev;
}
IoSensor* _initSensorF2ClnOK_0(){
	static IoSensor staticSensorF2ClnOK("IoSensor","SensorF2ClnOK",MODULE_NAME);
	IoSensor::poSensorF2ClnOK=&staticSensorF2ClnOK;
	IoSensor* dev=&staticSensorF2ClnOK;
	strcpy(dev->id,"SensorF2ClnOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->F2_CLN_OK,"NDI.F2_CLN_OK",TRUE);
	return dev;
}
IoSensor* _initSensorHHOK_0(){
	static IoSensor staticSensorHHOK("IoSensor","SensorHHOK",MODULE_NAME);
	IoSensor::poSensorHHOK=&staticSensorHHOK;
	IoSensor* dev=&staticSensorHHOK;
	strcpy(dev->id,"SensorHHOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->LSC1_Level_HH,"NDI.LSC1_Level_HH",TRUE);
	return dev;
}
IoSensor* _initSensorHOK_0(){
	static IoSensor staticSensorHOK("IoSensor","SensorHOK",MODULE_NAME);
	IoSensor::poSensorHOK=&staticSensorHOK;
	IoSensor* dev=&staticSensorHOK;
	strcpy(dev->id,"SensorHOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->LSC1_Level_H,"NDI.LSC1_Level_H",TRUE);
	return dev;
}
IoSensor* _initSensorMOK_0(){
	static IoSensor staticSensorMOK("IoSensor","SensorMOK",MODULE_NAME);
	IoSensor::poSensorMOK=&staticSensorMOK;
	IoSensor* dev=&staticSensorMOK;
	strcpy(dev->id,"SensorMOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->LSC1_Level_M,"NDI.LSC1_Level_M",TRUE);
	return dev;
}
IoSensor* _initSensorLOK_0(){
	static IoSensor staticSensorLOK("IoSensor","SensorLOK",MODULE_NAME);
	IoSensor::poSensorLOK=&staticSensorLOK;
	IoSensor* dev=&staticSensorLOK;
	strcpy(dev->id,"SensorLOK");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->LSC1_Level_L,"NDI.LSC1_Level_L",TRUE);
	return dev;
}
IoSensor* _initSensorVAC1_0(){
	static IoSensor staticSensorVAC1("IoSensor","SensorVAC1",MODULE_NAME);
	IoSensor::poSensorVAC1=&staticSensorVAC1;
	IoSensor* dev=&staticSensorVAC1;
	strcpy(dev->id,"SensorVAC1");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VAC1,"NDI.VAC1",TRUE);
	return dev;
}
IoSensor* _initSensorVAC2_0(){
	static IoSensor staticSensorVAC2("IoSensor","SensorVAC2",MODULE_NAME);
	IoSensor::poSensorVAC2=&staticSensorVAC2;
	IoSensor* dev=&staticSensorVAC2;
	strcpy(dev->id,"SensorVAC2");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VAC2,"NDI.VAC2",TRUE);
	return dev;
}
IoSensor* _initSensorVAC3_0(){
	static IoSensor staticSensorVAC3("IoSensor","SensorVAC3",MODULE_NAME);
	IoSensor::poSensorVAC3=&staticSensorVAC3;
	IoSensor* dev=&staticSensorVAC3;
	strcpy(dev->id,"SensorVAC3");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VAC3,"NDI.VAC3",TRUE);
	return dev;
}
IoSensor* _initSensorVAC4_0(){
	static IoSensor staticSensorVAC4("IoSensor","SensorVAC4",MODULE_NAME);
	IoSensor::poSensorVAC4=&staticSensorVAC4;
	IoSensor* dev=&staticSensorVAC4;
	strcpy(dev->id,"SensorVAC4");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VAC4,"NDI.VAC4",TRUE);
	return dev;
}
IoSensor* _initSensorVAC5_0(){
	static IoSensor staticSensorVAC5("IoSensor","SensorVAC5",MODULE_NAME);
	IoSensor::poSensorVAC5=&staticSensorVAC5;
	IoSensor* dev=&staticSensorVAC5;
	strcpy(dev->id,"SensorVAC5");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VAC5,"NDI.VAC5",TRUE);
	return dev;
}
IoSensor* _initSensorVAC6_0(){
	static IoSensor staticSensorVAC6("IoSensor","SensorVAC6",MODULE_NAME);
	IoSensor::poSensorVAC6=&staticSensorVAC6;
	IoSensor* dev=&staticSensorVAC6;
	strcpy(dev->id,"SensorVAC6");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VAC6,"NDI.VAC6",TRUE);
	return dev;
}
IoSensor* _initSensorVAC7_0(){
	static IoSensor staticSensorVAC7("IoSensor","SensorVAC7",MODULE_NAME);
	IoSensor::poSensorVAC7=&staticSensorVAC7;
	IoSensor* dev=&staticSensorVAC7;
	strcpy(dev->id,"SensorVAC7");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VAC7,"NDI.VAC7",TRUE);
	return dev;
}
IoSensor* _initSensorVAC8_0(){
	static IoSensor staticSensorVAC8("IoSensor","SensorVAC8",MODULE_NAME);
	IoSensor::poSensorVAC8=&staticSensorVAC8;
	IoSensor* dev=&staticSensorVAC8;
	strcpy(dev->id,"SensorVAC8");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VAC8,"NDI.VAC8",TRUE);
	return dev;
}
IoSensor* _initSensorVAC9_0(){
	static IoSensor staticSensorVAC9("IoSensor","SensorVAC9",MODULE_NAME);
	IoSensor::poSensorVAC9=&staticSensorVAC9;
	IoSensor* dev=&staticSensorVAC9;
	strcpy(dev->id,"SensorVAC9");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VAC9,"NDI.VAC9",TRUE);
	return dev;
}
IoSensor* _initSensorVAC10_0(){
	static IoSensor staticSensorVAC10("IoSensor","SensorVAC10",MODULE_NAME);
	IoSensor::poSensorVAC10=&staticSensorVAC10;
	IoSensor* dev=&staticSensorVAC10;
	strcpy(dev->id,"SensorVAC10");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->VAC10,"NDI.VAC10",TRUE);
	return dev;
}
IoSensor* _initSensorbHeartBeatPMCPLCMonitor_0(){
	static IoSensor staticSensorbHeartBeatPMCPLCMonitor("IoSensor","SensorbHeartBeatPMCPLCMonitor",MODULE_NAME);
	IoSensor::poSensorbHeartBeatPMCPLCMonitor=&staticSensorbHeartBeatPMCPLCMonitor;
	IoSensor* dev=&staticSensorbHeartBeatPMCPLCMonitor;
	strcpy(dev->id,"SensorbHeartBeatPMCPLCMonitor");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->bHeartBeatPMC_PLC_Monitor,"NDI.bHeartBeatPMC_PLC_Monitor",TRUE);
	return dev;
}
IoSensor* _initSensorbHeartBeatPMCIPCMonitor_0(){
	static IoSensor staticSensorbHeartBeatPMCIPCMonitor("IoSensor","SensorbHeartBeatPMCIPCMonitor",MODULE_NAME);
	IoSensor::poSensorbHeartBeatPMCIPCMonitor=&staticSensorbHeartBeatPMCIPCMonitor;
	IoSensor* dev=&staticSensorbHeartBeatPMCIPCMonitor;
	strcpy(dev->id,"SensorbHeartBeatPMCIPCMonitor");
	strcpy(dev->display,"");
	dev->di.create("di",&NDI->bHeartBeatPMC_IPC_Monitor,"NDI.bHeartBeatPMC_IPC_Monitor",TRUE);
	return dev;
}
IoSensor* _initSensorO2DetectSideLA_0(){
	static IoSensor staticSensorO2DetectSideLA("IoSensor","SensorO2DetectSideLA",MODULE_NAME);
	IoSensor::poSensorO2DetectSideLA=&staticSensorO2DetectSideLA;
	IoSensor* dev=&staticSensorO2DetectSideLA;
	strcpy(dev->id,"SensorO2DetectSideLA");
	strcpy(dev->display,"LA N2");
	dev->di.create("di",&NDI->O2_Detect_Side_LA,"NDI.O2_Detect_Side_LA",TRUE);
	return dev;
}
IoSensor* _initSensorO2DetectSideFIMS1_0(){
	static IoSensor staticSensorO2DetectSideFIMS1("IoSensor","SensorO2DetectSideFIMS1",MODULE_NAME);
	IoSensor::poSensorO2DetectSideFIMS1=&staticSensorO2DetectSideFIMS1;
	IoSensor* dev=&staticSensorO2DetectSideFIMS1;
	strcpy(dev->id,"SensorO2DetectSideFIMS1");
	strcpy(dev->display,"Transfer Room FIMS1");
	dev->di.create("di",&NDI->O2_Detect_Side_FIMS1,"NDI.O2_Detect_Side_FIMS1",TRUE);
	return dev;
}
IoSensor* _initSensorO2DetectSideFIMS2_0(){
	static IoSensor staticSensorO2DetectSideFIMS2("IoSensor","SensorO2DetectSideFIMS2",MODULE_NAME);
	IoSensor::poSensorO2DetectSideFIMS2=&staticSensorO2DetectSideFIMS2;
	IoSensor* dev=&staticSensorO2DetectSideFIMS2;
	strcpy(dev->id,"SensorO2DetectSideFIMS2");
	strcpy(dev->display,"Transfer Room FIMS2");
	dev->di.create("di",&NDI->O2_Detect_Side_FIMS2,"NDI.O2_Detect_Side_FIMS2",TRUE);
	return dev;
}
IoSensor* _initSensorLADoorSw1_0(){
	static IoSensor staticSensorLADoorSw1("IoSensor","SensorLADoorSw1",MODULE_NAME);
	IoSensor::poSensorLADoorSw1=&staticSensorLADoorSw1;
	IoSensor* dev=&staticSensorLADoorSw1;
	strcpy(dev->id,"SensorLADoorSw1");
	strcpy(dev->display,"Transfer Room FIMS2");
	dev->di.create("di",&SDI->SL501_LA_door_sw1,"SDI.SL501_LA_door_sw1",TRUE);
	return dev;
}
IoSensor* _initSensorLADoorSw2_0(){
	static IoSensor staticSensorLADoorSw2("IoSensor","SensorLADoorSw2",MODULE_NAME);
	IoSensor::poSensorLADoorSw2=&staticSensorLADoorSw2;
	IoSensor* dev=&staticSensorLADoorSw2;
	strcpy(dev->id,"SensorLADoorSw2");
	strcpy(dev->display,"Transfer Room FIMS2");
	dev->di.create("di",&SDI->SL502_LA_door_sw2,"SDI.SL502_LA_door_sw2",TRUE);
	return dev;
}
IoSensor* _initSensorLADoorSw3_0(){
	static IoSensor staticSensorLADoorSw3("IoSensor","SensorLADoorSw3",MODULE_NAME);
	IoSensor::poSensorLADoorSw3=&staticSensorLADoorSw3;
	IoSensor* dev=&staticSensorLADoorSw3;
	strcpy(dev->id,"SensorLADoorSw3");
	strcpy(dev->display,"Transfer Room FIMS2");
	dev->di.create("di",&SDI->SL503_LA_door_sw3,"SDI.SL503_LA_door_sw3",TRUE);
	return dev;
}
void initIoSensor(){
	IoSensor* dev;
	dev=_initSensorStocker1_0();
	dev=_initSensorStocker2_0();
	dev=_initSensorStocker3_0();
	dev=_initSensorStocker4_0();
	dev=_initSensorStocker5_0();
	dev=_initSensorStocker6_0();
	dev=_initSensorStocker7_0();
	dev=_initSensorStocker8_0();
	dev=_initSensorStocker9_0();
	dev=_initSensorStocker10_0();
	dev=_initSensorStocker11_0();
	dev=_initSensorStocker12_0();
	dev=_initSensorStocker13_0();
	dev=_initSensorStocker14_0();
	dev=_initSensorStocker15_0();
	dev=_initSensorStocker16_0();
	dev=_initSensorWaferRobotEX1AxisHomePosition_0();
	dev=_initSensorWaferRobotEX2AxisHomePosition_0();
	dev=_initSensorPS13LStatus_0();
	dev=_initSensorBoatUnloadInterlock_0();
	dev=_initSensorRaxisaircylinderretractposition_0();
	dev=_initSensorVG31STATUSOK_0();
	dev=_initSensorVG11STATUSOK_0();
	dev=_initSensorVG13STATUSOK_0();
	dev=_initSensorVG14STATUSOK_0();
	dev=_initSensorDP_0();
	dev=_initSensorBWR_0();
	dev=_initSensorDPR1_0();
	dev=_initSensorDPR2_0();
	dev=_initSensorHTR1_0();
	dev=_initSensorHTR2_0();
	dev=_initSensorHTR3_0();
	dev=_initSensorHTR4_0();
	dev=_initSensorHTR5_0();
	dev=_initSensorDEPO_0();
	dev=_initSensorNF3Cln_0();
	dev=_initSensorECO_0();
	dev=_initSensorAGV_0();
	dev=_initSensorSP1_0();
	dev=_initSensorPZERO_0();
	dev=_initSensorPCONT_0();
	dev=_initSensorTREFOn_0();
	dev=_initSensorCEXH_0();
	dev=_initSensorF2CLN_0();
	dev=_initSensorFN_0();
	dev=_initSensorPRUN_0();
	dev=_initSensorLSC1OverFill_0();
	dev=_initSensorHREF_0();
	dev=_initSensorWATR_0();
	dev=_initSensorWATF_0();
	dev=_initSensorDGASOK_0();
	dev=_initSensorNF3OK_0();
	dev=_initSensorTMNT_0();
	dev=_initSensorTADJ_0();
	dev=_initSensorATM_0();
	dev=_initSensorREFACT_0();
	dev=_initSensorDEPOOK_0();
	dev=_initSensorF2ClnOK_0();
	dev=_initSensorHHOK_0();
	dev=_initSensorHOK_0();
	dev=_initSensorMOK_0();
	dev=_initSensorLOK_0();
	dev=_initSensorVAC1_0();
	dev=_initSensorVAC2_0();
	dev=_initSensorVAC3_0();
	dev=_initSensorVAC4_0();
	dev=_initSensorVAC5_0();
	dev=_initSensorVAC6_0();
	dev=_initSensorVAC7_0();
	dev=_initSensorVAC8_0();
	dev=_initSensorVAC9_0();
	dev=_initSensorVAC10_0();
	dev=_initSensorbHeartBeatPMCPLCMonitor_0();
	dev=_initSensorbHeartBeatPMCIPCMonitor_0();
	dev=_initSensorO2DetectSideLA_0();
	dev=_initSensorO2DetectSideFIMS1_0();
	dev=_initSensorO2DetectSideFIMS2_0();
	dev=_initSensorLADoorSw1_0();
	dev=_initSensorLADoorSw2_0();
	dev=_initSensorLADoorSw3_0();
}
IoSensor* IoSensor::poSensorStocker1=NULL;
IoSensor* IoSensor::poSensorStocker2=NULL;
IoSensor* IoSensor::poSensorStocker3=NULL;
IoSensor* IoSensor::poSensorStocker4=NULL;
IoSensor* IoSensor::poSensorStocker5=NULL;
IoSensor* IoSensor::poSensorStocker6=NULL;
IoSensor* IoSensor::poSensorStocker7=NULL;
IoSensor* IoSensor::poSensorStocker8=NULL;
IoSensor* IoSensor::poSensorStocker9=NULL;
IoSensor* IoSensor::poSensorStocker10=NULL;
IoSensor* IoSensor::poSensorStocker11=NULL;
IoSensor* IoSensor::poSensorStocker12=NULL;
IoSensor* IoSensor::poSensorStocker13=NULL;
IoSensor* IoSensor::poSensorStocker14=NULL;
IoSensor* IoSensor::poSensorStocker15=NULL;
IoSensor* IoSensor::poSensorStocker16=NULL;
IoSensor* IoSensor::poSensorWaferRobotEX1AxisHomePosition=NULL;
IoSensor* IoSensor::poSensorWaferRobotEX2AxisHomePosition=NULL;
IoSensor* IoSensor::poSensorPS13LStatus=NULL;
IoSensor* IoSensor::poSensorBoatUnloadInterlock=NULL;
IoSensor* IoSensor::poSensorRaxisaircylinderretractposition=NULL;
IoSensor* IoSensor::poSensorVG31STATUSOK=NULL;
IoSensor* IoSensor::poSensorVG11STATUSOK=NULL;
IoSensor* IoSensor::poSensorVG13STATUSOK=NULL;
IoSensor* IoSensor::poSensorVG14STATUSOK=NULL;
IoSensor* IoSensor::poSensorDP=NULL;
IoSensor* IoSensor::poSensorBWR=NULL;
IoSensor* IoSensor::poSensorDPR1=NULL;
IoSensor* IoSensor::poSensorDPR2=NULL;
IoSensor* IoSensor::poSensorHTR1=NULL;
IoSensor* IoSensor::poSensorHTR2=NULL;
IoSensor* IoSensor::poSensorHTR3=NULL;
IoSensor* IoSensor::poSensorHTR4=NULL;
IoSensor* IoSensor::poSensorHTR5=NULL;
IoSensor* IoSensor::poSensorDEPO=NULL;
IoSensor* IoSensor::poSensorNF3Cln=NULL;
IoSensor* IoSensor::poSensorECO=NULL;
IoSensor* IoSensor::poSensorAGV=NULL;
IoSensor* IoSensor::poSensorSP1=NULL;
IoSensor* IoSensor::poSensorPZERO=NULL;
IoSensor* IoSensor::poSensorPCONT=NULL;
IoSensor* IoSensor::poSensorTREFOn=NULL;
IoSensor* IoSensor::poSensorCEXH=NULL;
IoSensor* IoSensor::poSensorF2CLN=NULL;
IoSensor* IoSensor::poSensorFN=NULL;
IoSensor* IoSensor::poSensorPRUN=NULL;
IoSensor* IoSensor::poSensorLSC1OverFill=NULL;
IoSensor* IoSensor::poSensorHREF=NULL;
IoSensor* IoSensor::poSensorWATR=NULL;
IoSensor* IoSensor::poSensorWATF=NULL;
IoSensor* IoSensor::poSensorDGASOK=NULL;
IoSensor* IoSensor::poSensorNF3OK=NULL;
IoSensor* IoSensor::poSensorTMNT=NULL;
IoSensor* IoSensor::poSensorTADJ=NULL;
IoSensor* IoSensor::poSensorATM=NULL;
IoSensor* IoSensor::poSensorREFACT=NULL;
IoSensor* IoSensor::poSensorDEPOOK=NULL;
IoSensor* IoSensor::poSensorF2ClnOK=NULL;
IoSensor* IoSensor::poSensorHHOK=NULL;
IoSensor* IoSensor::poSensorHOK=NULL;
IoSensor* IoSensor::poSensorMOK=NULL;
IoSensor* IoSensor::poSensorLOK=NULL;
IoSensor* IoSensor::poSensorVAC1=NULL;
IoSensor* IoSensor::poSensorVAC2=NULL;
IoSensor* IoSensor::poSensorVAC3=NULL;
IoSensor* IoSensor::poSensorVAC4=NULL;
IoSensor* IoSensor::poSensorVAC5=NULL;
IoSensor* IoSensor::poSensorVAC6=NULL;
IoSensor* IoSensor::poSensorVAC7=NULL;
IoSensor* IoSensor::poSensorVAC8=NULL;
IoSensor* IoSensor::poSensorVAC9=NULL;
IoSensor* IoSensor::poSensorVAC10=NULL;
IoSensor* IoSensor::poSensorbHeartBeatPMCPLCMonitor=NULL;
IoSensor* IoSensor::poSensorbHeartBeatPMCIPCMonitor=NULL;
IoSensor* IoSensor::poSensorO2DetectSideLA=NULL;
IoSensor* IoSensor::poSensorO2DetectSideFIMS1=NULL;
IoSensor* IoSensor::poSensorO2DetectSideFIMS2=NULL;
IoSensor* IoSensor::poSensorLADoorSw1=NULL;
IoSensor* IoSensor::poSensorLADoorSw2=NULL;
IoSensor* IoSensor::poSensorLADoorSw3=NULL;
//AUTOIO_END
